CoCoAManual: add page about creating lists
25 Mar 2014 21:37 - John Abbott

Status: Closed Start date: 25 Mar 2014
Priority: Normal Due date:

Assignee: John Abbott % Done: 100%
Category: Manual/documentation Estimated time: 1.50 hour
Target version: CoCoA-5.1.0 Easter14 Spent time: 1.50 hour
Description

Add an easily accessible manual page about creating lists, and perhaps simple operations on them (indexing, concatenation,

length,...)

Currently ?list gives an unhelpful page about casting a matrix to a list.

History

#1 - 28 Mar 2014 16:23 - John Abbott
- Status changed from New to In Progress

- % Done changed from 0 to 30

Added a new page (in commands) called list constructors.
Reduced existing page for in to a reference to list constructors.
Added a short/note reference in "operators/shortcuts"

#2 - 09 Apr 2014 17:03 - John Abbott

- Status changed from In Progress to Feedback
- Assignee set to John Abbott

- % Done changed from 30 to 90

Renamed function list to GetRows (compatible with GetRow).
Renamed manual page. Added manual page for GetRow.

Cleaned/compacted page about list ctors.

#3 - 02 May 2014 17:44 - John Abbott
- Status changed from Feedback to Closed
- Estimated time set to 1.50 h

The current doc is satisfactory (& certainly much improved); maybe future experience with students will help make it better still!

Closing this issue

#4 - 09 May 2014 13:28 - Anna Maria Bigatti
- % Done changed from 90 to 100

#5 - 02 Jul 2014 16:51 - Anna Maria Bigatti

- Subject changed from Manual: add page about creating lists to CoCoAManual: add page about creating lists

09 Apr 2024

1/1



http://www.tcpdf.org

